MAN-RECODE(1)

名称
man-recode - convert manual pages to another encoding

概述
man-recode -t to-code {--suffix=suffix|--in-place} [-dqhV] [filename]

描述
man-recode converts multiple manual pages from one encoding to another, guessing the appropriate input encoding for each one. It is useful when permanently recoding pages written in legacy character sets, or in build systems that need to recode a set of pages to a single common encoding (usually UTF-8) for installation. When converting many manual pages, this program is much faster than running man --recode or manconv on each page.

If an encoding declaration is found on the first line of a manual page, then that declaration is used as the input encoding for that page. Failing that, the input encoding is guessed based on the file name.

Encoding declarations have the following form:

    '\" -*- coding: UTF-8 -*-

或(如果手册页预处理器也要声明)：

    '\" t -*- coding: ISO-8859-1 -*-

选项

-t encoding, --to-code=encoding
    Convert manual pages to encoding.

--suffix=suffix
    Form each output file name by appending suffix to the input file name, after removing any compression extension.

--in-place
    Overwrite each input file with the output, after removing any compression extension.

-q, --quiet
    在页面无法转换时不显示错误消息。

-d, --debug
    打印调试信息。

-h, --help
    打印帮助消息并退出。

-V, --version
    显示版本信息。

亦见
iconv(1), man(1), manconv(1)

作者
Colin Watson (cjwatson@debian.org).